#
# spec file for package gtk3-branding
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define flavor openSUSE
%if "%{flavor}" == ""
%define branding_name %{nil}
ExclusiveArch:  %{nil}
%else
%define branding_name %{flavor}
%define dash -
%if "%{flavor}" == "SLE"
%define build_SLE 1
%else
%define build_openSUSE 1
%endif
%if (0%{?build_SLE} && 0%{?is_opensuse}) || (0%{?build_openSUSE} && ! 0%{?is_opensuse})
# Don't build SLE branding on openSUSE and vice-versa
ExclusiveArch:  %{nil}
%endif
%endif
%define gtk3_real_package %(rpm -q --qf '%%{name}' --whatprovides gtk3)
%define gtk3_version %(rpm -q --qf '%%{version}' %{gtk3_real_package})
Name:           gtk3-branding%{?dash}%{branding_name}
Version:        15.0
Release:        lp150.1.2
Summary:        The GTK+ toolkit library (version 3) -- %{branding_name} theme configuration
License:        BSD-3-Clause
Group:          System/Libraries
URL:            http://www.gtk.org/
Source:         gtk3-branding-settings.ini
Source1:        gtk3-branding-COPYING
BuildRequires:  gtk3
Requires:       %{gtk3_real_package} = %{gtk3_version}
Requires:       gtk3-metatheme-adwaita
Supplements:    packageand(gtk3:branding-%{branding_name})
Conflicts:      gtk3-branding
Provides:       gtk3-branding = %{gtk3_version}
BuildArch:      noarch

%description
GTK+ is a multi-platform toolkit for creating graphical user interfaces.
Offering a complete set of widgets, GTK+ is suitable for projects
ranging from small one-off projects to complete application suites.

This package provides the %{branding_name} theme configuration for
widgets and icon themes.

%prep
%setup -q -T -c %{name}-%{version}
cp -a %{SOURCE0} settings.ini
cp -a %{SOURCE1} COPYING

%build

%install
install -d %{buildroot}%{_sysconfdir}/gtk-3.0
install -m0644 settings.ini %{buildroot}%{_sysconfdir}/gtk-3.0/

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/gtk-3.0/settings.ini

%changelog
* Thu Apr 19 2018 dimstar@opensuse.org
- Mark /etc/gtk-3.0/settings.ini as config(noreplace)
  (boo#1087507).
* Sun Apr  8 2018 dimstar@opensuse.org
- Build package for SLE and openSUSE using multibuild.
* Mon Oct 12 2015 zaitor@opensuse.org
- Bump version to 42.1, to prepare for next version of openSUSE.
* Tue Nov 25 2014 dimstar@opensuse.org
- Change settings.ini: The default icon theme is called Adwaita.
* Tue Jul 15 2014 dimstar@opensuse.org
- Drop gnome-icon-theme Requires: no longer required after the
  merging of the themes into Adwaita theme, which in turn is a
  dependency to GTK+ 3.0.
- Bump version to 13.2, to prepare for next version of openSUSE.
* Mon Sep  9 2013 zaitor@opensuse.org
- Bump version to 13.1, to prepare for next version of openSUSE.
* Mon Jul 22 2013 fcrozat@suse.com
- Enable Primary on paste, to be consistent with other X11
  toolkits.
* Wed Jan  9 2013 aj@suse.de
- Bump version to 12.3.
* Wed May 23 2012 vuntz@opensuse.org
- Bump version to 12.2, to prepare for next version of openSUSE.
* Thu Oct 13 2011 vuntz@opensuse.org
- Remove %%{release} from the gtk3 versioned Requires, to not have
  to rebuild this package each time gtk3 rebuilds to keep it
  installable.
* Thu Sep 29 2011 vuntz@opensuse.org
- Also set gtk-cursor-theme-name to Adwaita in
  gtk3-branding-settings.ini.
* Wed Jul  6 2011 vuntz@opensuse.org
- Bump version to 12.1.
- Change default theme to use Adwaita engine and gnome icon theme,
  as we do not have any other good theme for GNOME 3 right now:
  + Update gtk3-branding-settings.ini accordingly.
  + Change sonar-icon-theme Requires to gnome-icon-theme.
  + Add gtk3-metatheme-adwaita Requires.
- Add a Requires for the package providing gtk3, since the branding
  package is useless without it.
- Update summary and description.
* Sun Feb 13 2011 vuntz@opensuse.org
- Remove default gtkrc, and replace it with a settings.ini file,
  since this is the new mechanism in GTK+ 3.
* Tue Jan 18 2011 vuntz@opensuse.org
- Do not use Sonar as default GTK+ 3 theme: it requires the murrine
  engine, which wasn't ported to the new theming API.
- Remove gtk3-metatheme-sonar Requires.
* Thu Oct 14 2010 vuntz@opensuse.org
- Change gtk2-metatheme-sonar Requires to gtk3-metatheme-sonar.
* Fri Oct  8 2010 vuntz@opensuse.org
- Bump version to 11.4.
* Sat Aug  7 2010 vuntz@opensuse.org
- Use Sonar icon theme by default instead of Gilouche. Change
  gtk2-metatheme-gilouche Requires to sonar-icon-theme to reflect
  this.
* Thu Jul 22 2010 vuntz@opensuse.org
- New package, based on gtk2-branding.
